return gears.table.join(
	awful.key( {"Mod4", "Control"}, "Left",
		function (c)
			c.screen.tagger:move_client(c, "left")
		end,
		{
			description = "move client left",
			group = "client"
		}
	),
	awful.key( {"Mod4", "Control"}, "Right",
		function (c)
			c.screen.tagger:move_client(c, "right")
		end,
		{
			description = "move client right",
			group = "client"
		}
	),
	awful.key( {"Mod4", "Control"}, "Down",
		function (c)
			c.screen.tagger:move_client(c, "down")
		end,
		{
			description = "move client down",
			group = "client"
		}
	),
	awful.key( {"Mod4", "Control"}, "Up",
		function (c)
			c.screen.tagger:move_client(c, "up")
		end,
		{
			description = "move client up",
			group = "client"
		}
	),

	awful.key( {"Mod4", "Shift"}, "c",
		function (c)
			c:kill()
		end,
		{
			description = "close",
			group = "client"
		}
	),

	awful.key( {"Mod4", "Control"}, "Return",
		function (c)
			c:swap(awful.client.getmaster())
		end,
		{
			description = "move to master",
			group = "client"
		}
	),

	awful.key( {"Mod4"}, "f",
		awful.client.floating.toggle,
		{
			description = "toggle floating",
			group = "client"
		}
	),

	awful.key( {"Mod4"}, "g",
		function (c)
			c.fullscreen = not c.fullscreen
			c:raise()
		end,
		{
			description = "toggle fullscreen",
			group = "client"
		}
	),

	awful.key( {"Mod4"}, "t",
		function (c)
			c.ontop = not c.ontop
		end,
		{
			description = "toggle keep on top",
			group = "client"
		}
	),

	awful.key( {"Mod4"}, "n",
		function (c)
			c.minimized = true
		end,
		{
			description = "minimize",
			group = "client"
		}
	),

	awful.key( {"Mod4"}, "m",
		function (c)
			c.maximized = not c.maximized
			c:raise()
		end,
		{
			description = "(un)maximize", group = "client"
		}
	)
)
