local volume = require("modules.volume.util")
local widget = require("modules.volume.widget")
local popup = require("modules.volume.popup")

return {
	widget = require("modules.volume.widget").widget,
	keybinds = require("modules.volume.keybinds"),

	init = function ()
		-- Make sure volume is unmuted
		volume.commands:unmute()
		-- Update volume widget at start
		volume.commands:get(widget.update)
	end,

	for_each_screen = function (s)
		popup(s)
	end
}
